AccueilPortailCalendrierGalerieFAQRechercherMembresGroupesS'enregistrerConnexion

Partagez | 
 

 j'ai deux erreur

Aller en bas 
Aller à la page : Précédent  1, 2
AuteurMessage
cashgrany
Recrue
Recrue
avatar

Messages : 30
Date d'inscription : 01/03/2014
Localisation : Советская империя

MessageSujet: il n'y a pas vraiment d'erreur   Dim 7 Jan 2018 - 15:20

je n'ai pas d'erreur fatal mais ça :

! Can't find texture 'wpn_crosshair_pso1_ksvk'
stack trace:

0023:08BCDA90 xrGame.dll, CDialogHolder::CDialogHolder()
0023:00417183 xrEngine.exe, IGame_Level::OnFrame()
0023:08E18544 xrGame.dll, CDialogHolder::`vftable'()
0023:08EA85F4 xrGame.dll

[error][ 8] : Espace insuffisant pour traiter cette commande.

la texture 'wpn_crosshair_pso_ksvk" est au bon endroit je ne comprend pas .
espace insuffisant je ne vois pas non plus pourquoi .
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
DoomedOne
Modo & Editeur
Modo & Editeur
avatar

Messages : 778
Date d'inscription : 30/04/2013
Age : 42

MessageSujet: Re: j'ai deux erreur    Dim 7 Jan 2018 - 16:15

Citation :
Can't find texture 'wpn_crosshair_pso1_ksvk'

la texture 'wpn_crosshair_pso_ksvk" est au bon endroit je ne comprend pas .


- soit t'as fait une petite erreur et la texture n'est pas vraiment à sa place (un sous-dossier ...) ou dans le nom de la texture il manque le
pso1, le 1 à pso comme sur le log.

- si c'est pas ça, c'est le shoker mod. Il a certaines textures de scopes spéciales pour un effet loupe et pour ça, le moteur de jeu
est modifié, d'où le bug 'espace insuffisant'.
Le seul truc à faire c'est de prendre une autre texture de visée (mais pas dans shoker) et de la renommer pour la mettre à la place de
l'originale.
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
cashgrany
Recrue
Recrue
avatar

Messages : 30
Date d'inscription : 01/03/2014
Localisation : Советская империя

MessageSujet: merci doom    Dim 7 Jan 2018 - 21:26

c'est bon j'ai mes armes merci a toi ; la j'avais fait des oublis dans les .ltx ; j'ai un dernier problème concernant l'amélioration de mes armes , dans le shocker mod ou misery 2 , les techniciens veulent bien les amélioré mais la plus rien comme si il n'y avais pas d'amélioration ; une idée ?
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
DoomedOne
Modo & Editeur
Modo & Editeur
avatar

Messages : 778
Date d'inscription : 30/04/2013
Age : 42

MessageSujet: Re: j'ai deux erreur    Lun 8 Jan 2018 - 0:03

Oui et non, jamais fait  :smile:

D'abord est-ce que t'as inclus l'arme dans configs\mp\mp_ranks.ltx  (mettre mp_wpn_ton arme dans la liste des fusils = wpn_auto)
pour qu'elles existent pour les PNJ

Ensuite tout simplement il peut y avoir un inventory_upgrade.ltx dans configs\misc où il faut ajouter le nom de l'arme
Mais ce fichier n'existe pas toujours.

Dans le ltx des armes, qu'est-ce qu'il y a pour ces lignes pour le ksvk par exemple ?
Code:
upgrade_scheme   =  ?
upgrades  =

=> c'est le schéma d'upgrade, pour savoir si c'est un truc nouveau ou au contraire du vanilla il faut regarder si ce upgrade_scheme
     existe dans :
Code:
configs\ui\inventory_upgrade + inventory_upgrade_16  
 <template name="upgrade_scheme_?">

Et si c'est un truc nouveau (donc qui n'existe pas dans les ui), le plus simple ce serait de remplacer les valeurs de ces 2 upgrade par celles d'une autre arme, comme le vintorez par ex.
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
cashgrany
Recrue
Recrue
avatar

Messages : 30
Date d'inscription : 01/03/2014
Localisation : Советская империя

MessageSujet: je m'incline devant ton savoir   Lun 8 Jan 2018 - 3:27

J'avais oublié d'inclure dans configs\mp\mp_ranks.ltx l'arme mais ça n'y a rien changé .

L'inventory_upgrade.ltx existe bien dans configs\misc et l'arme y est .

Dans le ltx des armes il y a ces lignes pour le ksvk :
Code:
upgrades     = up_gr_firstab_ksvk, up_gr_seconab_ksvk, up_gr_thirdab_ksvk, up_gr_fourtab_ksvk, up_gr_fourtcd_ksvk, up_gr_fourtef_ksvk

upgrade_scheme    = upgrade_scheme_svd

Dans configs\ui\inventory_upgrade il y a ça :
Code:
<template name="upgrade_scheme_svd">
<template name="upgrade_scheme_svd_nimble">

Et dans configs\ui\inventory_upgrade_16 il y a ça :
Code:
<template name="upgrade_scheme_svd">
<template name="upgrade_scheme_svd_nimble">

Mais rien consernant le Ksvk
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
DoomedOne
Modo & Editeur
Modo & Editeur
avatar

Messages : 778
Date d'inscription : 30/04/2013
Age : 42

MessageSujet: Re: j'ai deux erreur    Lun 8 Jan 2018 - 14:50

Bon, faut juste trouver où sont les up_gr_firstab_ksvk etc. (modifs de 1er niveau, deuxième, ...)

Le ksvk vient de misery ? Je l'ai pas celui-là

Mais pour le shoker mod:
dans le dossier weapons, il y a un dossier upgrades avec w_ksvk_up.ltx à ajouter
+ dans le même dossier un ltx upgrade_list où il faut aussi ajouter le ksvk

Et config\misc, les deux fichiers inventory_upgrades et stalker_upgrade_info où la aussi il faut juste ajouter le nom de l'arme


Enfin ça c'est pour le shoker pour l'exemple, avec un peu de chance c'est pareil pour misery

Revenir en haut Aller en bas
Voir le profil de l'utilisateur
cashgrany
Recrue
Recrue
avatar

Messages : 30
Date d'inscription : 01/03/2014
Localisation : Советская империя

MessageSujet: encore merci doom    Lun 8 Jan 2018 - 16:56

les up_gr_firstab_ksvk étais bien présent ,  les amélioration  pour le ksvk on l'air d'être dans la bonne vois .
merci encore j'avais oublié le stalker_upgrade_info dash .
j'ai plus qu'a essayer de faire de même pour les amélioration du vssk qui lui viens du shoker mod .

Encore merci . <3 Good
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
cashgrany
Recrue
Recrue
avatar

Messages : 30
Date d'inscription : 01/03/2014
Localisation : Советская империя

MessageSujet: au secours    Lun 8 Jan 2018 - 23:13

J'ai fait une grosse boulette , j'ai perdu tout mon gamedata j'ai du tout recommencé ; je m'en sortais pas trop mal jusqu'a cette erreur :

FATAL ERROR

[error]Expression : fatal error
[error]Function : CInifile::r_section
[error]File : D:\prog_repository\sources\trunk\xrCore\Xr_ini.cpp
[error]Line : 502
[error]Description : <no expression>
[error]Arguments : Can't open section 'up_sect_thirda_ksvk'. Please attach [*.ini_log] file to your bug report


stack trace:

Ce 'up_sect_thirda_ksvk' se bien dans mon w_ksvk_up.ltx ; je ne comprend pas . help .
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
DoomedOne
Modo & Editeur
Modo & Editeur
avatar

Messages : 778
Date d'inscription : 30/04/2013
Age : 42

MessageSujet: Re: j'ai deux erreur    Mar 9 Jan 2018 - 11:45

weapons\upgrades\w_ksvk_up ??
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
Contenu sponsorisé




MessageSujet: Re: j'ai deux erreur    

Revenir en haut Aller en bas
 
j'ai deux erreur
Revenir en haut 
Page 2 sur 2Aller à la page : Précédent  1, 2

Permission de ce forum:Vous ne pouvez pas répondre aux sujets dans ce forum
S.T.A.L.K.E.R F.O.R.E.V.E.R FORUM :: S.T.A.L.K.E.R Call Of Pripyat :: AIDES&SUPPORTS-
Sauter vers: